Using AMOS tool for language pack translation

New string in the book module

 
Ralf Krause - Moodletreff.de
New string in the book module
by Ralf Krause - Monday, 7 May 2012, 12:46 PM
Language pack maintainers

Hi Dave,

there's a new string in the book module that IO can't translate. The new string is not in the AMOS tool yet. What should I do for this problem? The new sting is "Add a new book" and can be found in the roles section "mod/book:addinstance"

Ralf


Picture of David Mudrák
Re: New string in the book module
by David Mudrák - Tuesday, 8 May 2012, 1:31 AM
Language pack maintainers
Hi Ralf, and thanks for the report. The string should be now available in the AMOS Translator.
Ralf Krause - Moodletreff.de
Re: New string in the book module
by Ralf Krause - Tuesday, 8 May 2012, 5:17 AM
Language pack maintainers

Hi David,

the string can be found in lang package for Moodle 2.2 but not in the others.

Ralf

Picture of David Mudrák
Re: New string in the book module
by David Mudrák - Tuesday, 8 May 2012, 9:15 AM
Language pack maintainers
Oops, right. The string is required for Moodle 2.3 and therefore it is introduced in the Book master branch only. The stable 2.2, 2.1 and 2.0 branches do not have this string.

I just fixed AMOS database so that your translation appears at 2.3dev correctly. Thanks for pinging me.
Ralf Krause - Moodletreff.de
Re: New string in the book module
by Ralf Krause - Tuesday, 8 May 2012, 3:37 PM
Language pack maintainers

Hi David,

the Text "Add a new book" is also shown in Moodle 2.2. Actually I do not have a Moodle 2.1 or 2.0 with an installed book module so I can't say anything about the others.

Ralf

Picture of David Mudrák
Re: New string in the book module
by David Mudrák - Tuesday, 8 May 2012, 4:40 PM
Language pack maintainers
Well, yes. It can be shown in your Moodle 2.2 if you installed Book's master branch instead of its MOODLE_22_STABLE branch. The point is that this capability is used by Moodle 2.3 and higher only. Therefore Petr correctly included the string in the master branch only and that one will form 2.3 release of the plugin.